### File

`packages/ecl/components/ecl-loading-indicator/ecl-loading-indicator-overlay.directive.ts`

### Description

Directive that adds an overlay layer to an ECL loading indicator.

Automatically applies the ECL spinner overlay classes.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclLoadingIndicatorOverlay]`

### Index

###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies the CSS classes for the spinner overlay.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Applies the CSS classes for the spinner overlay. Returns : `string`

# results matching ""

# No results matching ""